Create a DNS domain
POST/v1/dns/domains
To add a new DNS domain, send a POST request to the /v1/dns/domains endpoint. The domain is created in the undelegated status and won't be published until it's verified with a TXT record or delegated to the Servers.com name servers.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
| Field | Details |
|---|---|
name | stringA name of a DNS domain to create. |
email | stringAn administrator email address for the domain. It's stored in the domain's SOA record. |
ttl? | integerTTL (time to live) defines how long a domain's records will be cached on the DNS servers by default. |
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/dns/domains" \ -H "Content-Type: application/json" \ -d '{ "name": "example-2879fc3c.com", "email": "admin@example-2879fc3c.com", "ttl": 3600, "labels": { "environment": "production", "service": "my-web-app" } }'{ "id": "WZdPNwaK", "name": "example-2879fc3c.com", "email": "admin@example-2879fc3c.com", "ttl": 3600, "delegation_status": "delegated", "unpublish_date": null, "labels": { "environment": "production", "service": "my-web-app" }, "updated_at": "2025-12-31T00:00:00Z", "created_at": "2025-12-31T00:00:00Z"}